Index: branches/HTM-15.1-MV-draft-4/source/App/TAppRenderer/TAppRendererTop.h
===================================================================
--- branches/HTM-15.1-MV-draft-4/source/App/TAppRenderer/TAppRendererTop.h	(revision 1324)
+++ branches/HTM-15.1-MV-draft-4/source/App/TAppRenderer/TAppRendererTop.h	(revision 1325)
@@ -40,51 +40,3 @@
 #define __TAppRendererTOP__
 #include "../../Lib/TLibCommon/CommonDef.h"
-#if NH_3D
-#include "../../Lib/TLibRenderer/TRenTop.h"
-#include "../../Lib/TLibVideoIO/TVideoIOYuv.h"
-#include "TAppRendererCfg.h"
-#include "TAppRendererTop.h"
-#include "../../Lib/TLibRenderer/TRenModel.h"
-
-// ====================================================================================================================
-// Class definition
-// ====================================================================================================================
-
-/// encoder application class
-class TAppRendererTop : public TAppRendererCfg
-{
-private:
-  // class interface
-  std::vector<TVideoIOYuv*>     m_apcTVideoIOYuvVideoInput;
-  std::vector<TVideoIOYuv*>    m_apcTVideoIOYuvDepthInput;
-  std::vector<TVideoIOYuv*>     m_apcTVideoIOYuvSynthOutput;
-
-  // RendererInterface
-  TRenTop*                     m_pcRenTop;
-
-protected:
-  // initialization
-  Void  xCreateLib        ();                               ///< create renderer class and video io
-  Void  xInitLib          ();                               ///< initialize renderer class
-  Void  xDestroyLib       ();                               ///< destroy renderer class and video io
-#if NH_3D_VSO
-  Void  xRenderModelFromString();                           ///< render using model using setup string
-  Void  xRenderModelFromNums();                             ///< render using model using synth view numbers
-#endif
-
-public:
-  TAppRendererTop();
-  virtual ~TAppRendererTop();
-
-  Void  render      ();                               ///< main encoding function
-#if NH_3D_VSO
-  Void  renderModel ();
-#endif
-  Void  go          ();
-  Void  renderUsedPelsMap();
-
-};// END CLASS DEFINITION TAppRendererTop
-
-
-#endif // NH_3D
 #endif // __TAppRendererTOP__
